NetLimiter Help

Contact

Please, contact us at the following addresses,

Bug report
bugs@netlimiter.com
Info and other support
support@netlimiter.com
Home Page
www.netlimiter.com

Authors

Copyright © 2003 LockTime Software.
All Rights Reserved


What is NetLimiter?

NetLimiter is an ultimate internet traffic control tool designed for Win98/Win98 SE, WinME, WinNT4, Win2000 and WinXP. It is suited to monitor applications which access the internet and actively control their internet traffic. You can use NetLimiter to set (download/upload) speed limits for applications or even single connection. Simply, NetLimiter allows you to share your internet connection bandwidth among all applications running on your PC.

With this unique and “never seen before” feature Netlimiter offers comprehensive set of internet statistical tools which includes real-time traffic measurement and long-term per-application internet traffic statistics. With NetLimiter you finally become the master of your internet connection.

The NetLimiter’s purpose

The NetLimiter’s Purpose is as simple as unique. Nowadays when internet spreads quickly throughout the world and most of the modern Windows applications access this medium, becomes the role of NetLimiter more than important. Many Windows applications access internet, but without any outer user’s control. That is what NetLimiter fixes. With this tool you can rule such applications by dividing your bandwidth among them, all in the real time.

Let’s look at the following example:

You have got ADSL internet connection with bandwidth 192/64 kb/s (download/upload speed; kb = kilobit). You start download of NetLimiter from our website using Internet Explorer browser, as it is usual, and while downloading file, you want to continue browsing NetLimiter website. When you attempt to do it, you realize that www pages load very slowly despite your fast internet connection and broad bandwidth. The reason behind such behavior lies in the way how most applications act on the internet. Simply, they are like vultures which try to tear largest part of your bandwidth for itself. The NetLimiter was born to tame them. Use this tool to set speed limit for download session, let’s say 4 kB/s (kB/s = kiloByte = 8 kilobits), and the rest of your bandwidth will be used for fast and much more comfortable browsing (or any other internet activity).

Copyright © 2003 LockTime Software.
All Rights Reserved


Netlimiter Features

  • Allows you to set internet traffic speed limits for applications or even single connections and thus share bandwidth among them.
  • Offers real-time and long-term internet statistics for applications or connections.
  • Displays huge information related to applications or connections (WhoIs, DNS and more)
  • Does not need any special setup from user. Works right after successful installation.
  • Does not require to install other software or Windows drivers.
  • Does not depends on the type of your internet connection. Works with ADSL, Cable TV, Dial-Up, Proxy servers, etc..
  • It is equipped with more than intuitive and modern user interface.
  • Designed for Win98/Win98 SE, WinME, Win2000, WinXP and Win2k3 operating systems.

The NetLimiter’s requierements

To run NetLimiter you need system running Win98, Win98 SE, WinME, WinNT4, Win2000 and WinXP, with Internet Explorer 4.0 browser installed. It is not dependent on the type of your internet connection.

What is Limiting?

It is process of setting download and upload speed limits for application or connection. First and only application offering this feature for Microsoft Windows operating systems is NetLimiter.


Using NetLimiter

As we mentioned before, NetLimiter is very easy to use. The Main Window is divided into four main parts, Node view, Info view with property window and Options window.

  • Node view
  • Info view
  • Options window
  • Network Configuration Wizard


Node View

This is a main part of the NetLimiter. Here you can set or release speed limits for applications, their instances and connections. Node View architecture is based on enhanced tree view and should be familiar to all Windows users.

Nodes

Node view displays tree of nodes. The first level of the node tree represents all applications that are connected to the internet. Applications are identified by executable file which was used to run them. When you click on a node for given application, then you’ll get a list of all its running instances (unrolled below). Instances are identified by their system process ID, but as display name is used the name of their main window if they had created any. If the given instance doesn’t create windows (for ex.: console applications) or it is impossible to query them, then the instance’s process ID (PID) is used as a display name.

If you expand node for given instance then you’ll get a list of all created connections. The connections are strictly identified by the IP address number of a remote computer. The IP is used as a display name for the connection.
Note, that every computer connected to the internet is identified by its IP address (even yours). Any application can establish connection to any computer on the internet as many times as it needs or remote computer allows.
At every application, instance or connection you can find four columns. Where first (from left to right) column shows current download rate for a node (in kilobytes per second), second let’s you set download rate limit, third shows upload rate and four let’s you set download rate limit (in kilobytes per second).

Top Node

Beside these three types of nodes, there is one node which is a little bit different. It is Top Node with name “Overall”. It is always on the top of the Node window (has a black background). It only displays total download and upload rates for all applications running on the computer. If you set limit on the Top node, then it has impact on all running applications, ignoring their own limits - be careful using this feature.

There are also three pages in the Node view. First of them named “Online” contains only applications, which are currently connected or are trying to connect to the internet . The “Offline” page works as a storage for applications, which were connected to the internet in the past, but now are not connected or doesn’t even run. Third page “Hidden” is a depository for applications you don’t want to bother with. If you don't care what any app does and you want to have "Online" clean, put such app into "Hidden" tab. To move any application into “Hidden” tab, click on its node (on Online or Offline page) with right mouse button and in context menu select command “Move To Hidden”.

Setting the Limits

To set download/upload limit for any node you have to select it first by clicking on it. Then repeatedly click on small buttons with arrows in download/upload rate column to increase or decrease limit in 1 kB/s steps. You can also click with left mouse button in space between these two buttons and hold it while moving mouse cursor up or down. The maximum limit values can be set directly on the Property page which is on the left from Node view.
In the new versions of Netlimiter (since 1.20) you can enter limits directly from keyboard. Select the node, click on the frame with limit value and enter new limit into edit box. Push "Enter" to confirm the limit or "Esc" to dismiss the limit.
If you want to enable the limit, you have to check the check button (grey rectangle) on the left side of the column. If you want to disable the limit, simply uncheck the check button.


Info view

Info view is designated to show various information related to selected node – applications, their instances or connections. There are four tabs, where first displays current internet traffic activity for the node, second long-term statistics (for application only), third detailed information about selected node and fourth is a Scheduler..

  • Activity tab
  • Stats tab
  • Info tab
  • Scheduler tab


Activity tab

This tab displays current internet activity of the selected node. There are two charts. First one shows upload activity and second download activity. You can hide or show each of these charts by checking or unchecking the check buttons in the Property window (on the left from Info view).

Properties

There are three more options for 'Activity' tab in the Property window:

Auto Zoom
Check this option (recommended), if you want to scale the chart grid according to maximum of the transfer rate. If it is not checked, the chart is scaled accordfing to the line speed set on the top property window.
Chart Height
Value in % sets how much of the height of the grid is used for the chart.
Chart Type
Select from three types of the chart. ‘Raw data’ displays amount of transfered data during the last several hundereds seconds. ‘Transfer rate’ displays transfer rate trends for the selected node. There is a third option named ‘Both’. This is a combination of previous two options.

Counter Bar

On the top of the Activity tab there is a counter bar. It shows an amount of received and sent data for the selected node since the NetLimiter has started or since the user had reseted the counter with the Reset button. The Start time is displayed on left side of the counter bar.


Statistics

NetLimiter version 1.20 introduces new Statistics module for longterm measurement of intenet traffic. This feature lets you to track your internet traffic history since you've installed NetLimiter.

Using the Stats

Enter Statistics by clicking on "Stats" tab in the InfoView. Stats window is devided into two parts. There is the Selection menu on the left side and the Graph on the right side. Select any time period from Selection menu and exact traffic statistics will be diplayed in the Graph window.
To change display units, use the dropdown menu on the left side of Stats window.
If you wish to display statistics for network adapters in the Internet/Local zone then check the "Internet"/"Local" checkbutton.

Manipulating the Stats

Since version 1.25 you can use 3 new features, that let you export, import and delete statistics for selected applications.

Export

To export Stats, select "Export Stats..." option from File menu. You will be asked for a path, where to store exported data.

Import

To import Stats, select "Import Stats..." option from File menu. You will be asked for a path to previously exported data. When you try to import stats for application that is already registered in NetLimiter, then you will be asked to choose from following options:

  • Merge: Existing data and data that are being imported will be merged together. If existing and new data overlap in time, user will be notified about it, and data from both groups will be put together.
  • Rewrite: Existing data will be deleted and new will be copied instead.
  • Skip: No change. No data will be imported. Existing data will stay unchanged.
Delete

To delete all stats for an application, you have to click on it with the right mouse button and then select Stats Data->Delete option from context menu.


Info tab

Top Node Info

When the Top Node (“Overall”) is selected then the “Info” Tab displays detailed information about your computer: its network name, a detailed list of your network adapters, info about your network configuration (DNS, DHCP, etc.) and info about applications with any internet activity.

Application Info

When any application is selected (by clicking on its node) then following info is displayed:

Display name
Here you can change the application’s name displayed in the Node view.
Number of running instances
Number of currently running instances of the application.
Created
Date and time when the application became “Online” for a first time (it was registered by Netlimiter).
Application path
Path to a file, which is used to run the application.
Ignore UDP packets
Check this option, if you want to exclude UDP traffic from limiting and monitoring.
Most internet applications use two essential internet protocols: TCP (Transmission Control Protocol) and UDP (User Datagram Protocol). UDP is mostly used for internal comunication or time critical traffic (computer games or internet radios) and TCP is mostly used for huge data transfers. If you set limits on any application it is better to check this option. Note that there are some apps which use UDP for huge data transfers (one of them is popular P2P tool called "Blubster"), so be careful using this option. If you don't know how the application works, it'd be better to let this option unchecked.
Ignore All traffic
Check this option if you want to bypass selected application by NetLimiter. You must restart the app, before any changes take effect.
Note that some applications are bypassed by default. There's no way how to disable their bypasses. Among these application are important system services like svchost.exe, lsass.exe or alg.exe.

Instance Info

When any instance is selected (by clicking on its node) then following info is displayed:

Window Title
Title of main instance’s window if any exists.
Number of connections
Number of created connections.
Startup Time
Time when selected instance of application tried to connect to the internet.
Process ID
Unique ID given by operating system to every process.
Application Path
Path and file used to run the application.
Command Line
Original path and file used to run the application with the command line attributes.

Connection Info

When any connection (represented by IP address) is selected by clicking on its node then following info is displayed:

General
Display general information about connection - IP address of the remote machine, remote and local port, etc.
WHOIS
Displays information about remote IP address retrieved from public WHOIS servers. You must be connected to the internet
to use it. Beside WHOIS info, the reverse DNS address is displayed in brackets behind IP address.
Trace
Utility that tries to trace a path to a remote IP. It displays list of computers/nodes throught which the packets sent
from your machine travel to the remote machine. Beside the node's IP there is displayed its response
time in miliseconds and its reverse DNS name.
Note: It is sometimes impossible to get IPs, names or reponse times of some machines on the route from your machine to remote.
So any values could be missing.
Ping
Utility tries to measure remote machine's response time (4 times).
Note: Some machines don't answer to Ping messages, so then it is imposible to measure their reponse time.


Scheduler

In short, Scheduler allows you to schedule special events like enabling, disabling limits or setting the limit values. It is extremely useful if you want to control NetLimiter after you leave your computer.

Using Scheduler

You can access Scheduler by clicking on the tab in the InfoView named "Scheduler". Scheduled rules can asigned only to an application, so to asign such rule, you must select any application or Top Node, too. When the app is selected then click on "Add New". In the Scheduler rule window then select date, time and whether to apply rule on upload or download, limit value and whether to turn on or turn off the limit. Then click on "Add" to confirm your newly rule. Remember that checkbutton named "Scheduler enabled" must be checked enable Scheduler. Otherwise any scheduled rules won't have any efect.
To Delete or Edit click with right mouse button on the rule and select other actions from context menu.


Options Window

As it was mentioned before, NetLimiter does not need any special input from user and all available options can be found in the main NetLimiter window. Options window lies in the left top corner of the main window. Options window can be switched off/on (along with Property window) using Menu item View->Property Windows.

Following options are available:
Line Speed
Here you can choose the maximum upload and download speed of your internet connection. This setting has only impact on maximum limit value.
Run on Startup
Check this option, if you want to run NetLimiter at the startup of your computer.
Version Checker
Check this option, if want to check for new versions each time you start NetLimiter.
Your computer has to be connected to the internet during this operation. Note that NetLimiter does not send any user data to the Version server.
Loopback Filter
Check this option to filter out the trahfic on localhost.
Many applications use so called LOOPBACK IP Address (127.0.0.1) for internal communication on local computer. It is highly recommended that you check this option.


Network Configuration Wizard

Network Configuration Wizard (NTC) is intended for configuration of computer networks your compter can access and their appearance in NetLimiter. Most computers have only one network adapter and access to only one computer network, but some machines may have access to more than one computer network. Note that one network is mostly related to one network adapter (dial-up modem, ethernet card, etc.).

NCW's only job is to devide your networks into two zones. First of the zones is called "Internet" and second "Local". By moving any network to "Internet" zone you're telling NetLimiter that this network is used to connect computer to the internet. When you move network to "Local" then it means, that this networks is local type of network, such as LAN. Network zones are used in NetLimiter Statistics module to measure "internet" and "local" traffic separately.

If you need to make any changes to your adapter or network settings, you can run NCW manually using menu command - Tools->Network Configuration Wizard. If you don't need to adjust anything then you can leave this tool alone. If any change in your network configuration occurs (you add new adapter, adapter's IP changes) than NCW will run automaticaly. NCW will also run on the first start of NetLimiter.

Using NCW

NCW doesn't require more user input than it is necessary. For each of your networks you have got to decide whether it belongs to internet or local zone. Every network is identified by its mask IP address. NCW always tries help you, where to move the adapter. So if you're not sure about what's going on in the NCW, you can easily bypass questions by confirming pre-selected option.

Beginners into networking should have known, that IP addresses beginning with 192 and 168 (for example 192.168.1.0) are used for LAN networks only, so adapters with these address should be moved into "Local" adapter zone.